### Method

# Soup Session send_and_splice

since: 3.4

#### Declaration [src]

    gssize
    soup_session_send_and_splice (
      SoupSession* session,
      SoupMessage* msg,
      GOutputStream* out_stream,
      GOutputStreamSpliceFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously sends `msg` and splices the response body stream into `out_stream`.

See `soup_session_send()` for more details on the general semantics.

Available since: 3.4

#### Parameters

`msg`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the method.

`out_stream`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the method.

`flags`

  Type: `GOutputStreamSpliceFlags`

  A set of `GOutputStreamSpliceFlags`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gssize`

A #gssize containing the size of the data spliced, or -1 if an error occurred.